summaryrefslogtreecommitdiffstats
path: root/libraries/raylib
diff options
context:
space:
mode:
author rc-05 <rc_O5@protonmail.com>2022-04-24 21:42:23 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-30 13:52:03 +0700
commit88f214bbb28d7fdc5c054bc80f7f3fea0924dff2 (patch)
tree485af0eadf6913a32b81b84bffbea049d14d4015 /libraries/raylib
parent47b5c7484af77d8eb34133dae81d6da85732bf29 (diff)
downloadslackbuilds-88f214bbb28d7fdc5c054bc80f7f3fea0924dff2.tar.gz
slackbuilds-88f214bbb28d7fdc5c054bc80f7f3fea0924dff2.tar.xz
libraries/raylib: Added (Game development library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/raylib')
-rw-r--r--libraries/raylib/README6
-rw-r--r--libraries/raylib/jarxm_linear_interpolation.patch10
-rw-r--r--libraries/raylib/raylib.SlackBuild107
-rw-r--r--libraries/raylib/raylib.info10
-rw-r--r--libraries/raylib/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/libraries/raylib/README b/libraries/raylib/README
new file mode 100644
index 0000000000..ae541fd1b1
--- /dev/null
+++ b/libraries/raylib/README
@@ -0,0 +1,6 @@
+raylib is a simple and easy-to-use library to enjoy videogames
+programming and it is highly inspired by Borland BGI graphics lib
+and by XNA framework.
+
+Wayland support can be enabled with WAYLAND=yes when building the
+package.
diff --git a/libraries/raylib/jarxm_linear_interpolation.patch b/libraries/raylib/jarxm_linear_interpolation.patch
new file mode 100644
index 0000000000..65f1b1b1b9
--- /dev/null
+++ b/libraries/raylib/jarxm_linear_interpolation.patch
@@ -0,0 +1,10 @@
+--- raudio.c 2021-11-21 21:46:23.908021000 +0000
++++ raudio-new.c 2021-11-21 21:59:54.187104846 +0000
+@@ -1297,6 +1297,8 @@
+ jar_xm_context_t *ctxXm = NULL;
+ int result = jar_xm_create_context_from_file(&ctxXm, AUDIO.System.device.sampleRate, fileName);
+
++ ctxXm->module.linear_interpolation = 1;
++
+ music.ctxType = MUSIC_MODULE_XM;
+ music.ctxData = ctxXm;
diff --git a/libraries/raylib/raylib.SlackBuild b/libraries/raylib/raylib.SlackBuild
new file mode 100644
index 0000000000..349c399fa4
--- /dev/null
+++ b/libraries/raylib/raylib.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for raylib
+
+# Copyright 2022 rc-05 <rc_o5@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=raylib
+VERSION=${VERSION:-4.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -d src < $CWD/jarxm_linear_interpolation.patch
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DBUILD_SHARED_LIBS=ON \
+ -DUSE_EXTERNAL_GLFW=IF_POSSIBLE \
+ -DUSE_WAYLAND=${WAYLAND:-no} \
+ -DBUILD_EXAMPLES=OFF ..
+ make RAYLIB_MODULE_RAYGUI=TRUE
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/raylib/raylib.info b/libraries/raylib/raylib.info
new file mode 100644
index 0000000000..2a9d610dc5
--- /dev/null
+++ b/libraries/raylib/raylib.info
@@ -0,0 +1,10 @@
+PRGNAM="raylib"
+VERSION="4.0.0"
+HOMEPAGE="https://raylib.com/"
+DOWNLOAD="https://github.com/raysan5/raylib/archive/refs/tags/4.0.0/raylib-4.0.0.tar.gz"
+MD5SUM="7b4ffb9d3b6a01806be21a7cd93e2c53"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="rc-05"
+EMAIL="rc_O5@protonmail.com"
diff --git a/libraries/raylib/slack-desc b/libraries/raylib/slack-desc
new file mode 100644
index 0000000000..e8c898f272
--- /dev/null
+++ b/libraries/raylib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+raylib: raylib (simple and easy-to-use library for game development)
+raylib:
+raylib: raylib is a simple and easy-to-use library to enjoy videogames
+raylib: programming.
+raylib:
+raylib: Homepage: https://raylib.com
+raylib:
+raylib:
+raylib:
+raylib:
+raylib: